%define	name	chmlib
%define	version	0.39
%define	release	%mkrel 2

%define	oname	chm
%define	major	0
%define	libname	%mklibname %{oname} %{major}

Summary:	A library for dealing with Microsoft ITSS/CHM format files
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
Source0:	http://freshmeat.net/redir/chmlib/22229/url_tgz/%{name}-%{version}.tar.bz2
Patch1:		chmlib-0.37-morearchs.patch
URL:		http://freshmeat.net/redir/chmlib/22229/url_homepage/chmlib
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
CHMLIB is a library for dealing with Microsoft ITSS/CHM format files.
Right now, it is a very simple library, but sufficient for dealing with
all of the .chm files I've come across. Due to the fairly well-designed
indexing built into this particular file format, even a small library
is able to gain reasonably good performance indexing into ITSS archives.

Code runs on Linux, Windows, Solaris, and Irix.

%package -n	%{libname}
Summary:	A library for dealing with Microsoft ITSS/CHM format files
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	lib%{oname} = %{version}-%{release}

%description -n	%{libname}
CHMLIB is a library for dealing with Microsoft ITSS/CHM format files.
Right now, it is a very simple library, but sufficient for dealing with
all of the .chm files I've come across. Due to the fairly well-designed
indexing built into this particular file format, even a small library
is able to gain reasonably good performance indexing into ITSS archives.

%package -n	%{libname}-devel
Summary:	A library for dealing with Microsoft ITSS/CHM format files
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{oname}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %{libname}-devel
CHMLIB is a library for dealing with Microsoft ITSS/CHM format files.
Right now, it is a very simple library, but sufficient for dealing with
all of the .chm files I've come across. Due to the fairly well-designed
indexing built into this particular file format, even a small library
is able to gain reasonably good performance indexing into ITSS archives.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1 -b .more_archs

%build
%configure2_5x
%make CFLAGS="%{optflags} -DCHM_MT -DCHM_USE_PREAD -DCHM_USE_IO64 -L.libs" \
    LDFLAGS="%{rpmldflags} -lpthread" CC="%{__cc}" LD="%{__cc}"

%install
rm -rf %{buildroot}
install -d %{buildroot}{%{_libdir},%{_includedir}}
%makeinstall_std
install -m644 src/.libs/libchm.a %{buildroot}%{_libdir}/libchm.a
#gw broken symlink
ln -sf libchm.so.0.0.0 %{buildroot}%{_libdir}/libchm.so

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS NEWS README
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS NEWS README
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la





%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.39-2mdv2008.1
+ Revision: 136304
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 30 2007 Helio Chissini de Castro <helio@mandriva.com> 0.39-2mdv2008.0
+ Revision: 75829
- Rebuild


* Thu Jan 25 2007 Götz Waschk <waschk@mandriva.org> 0.39-1mdv2007.0
+ Revision: 113083
- new version
- unpack patch

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org> 0.38-2mdv2007.0
+ Revision: 53042
- rebuild
- Import chmlib

* Fri Jul 21 2006 Emmanuel Andry <eandry@mandriva.org> 0.38-1mdv2007.0
- 0.38
- better url
- url for source

* Thu Jun 08 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.37.4-3mdv2007.0
- fix P1 to fix build on other archs (based on PLD's patch)

* Thu Apr 20 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.37.4-2mdk
- patch1: fix ppc build

* Thu Mar 23 2006 Lenny Cartier <lenny@mandriva.com> 0.37.4-1mdk
- 0.37.4

* Thu Oct 27 2005 Götz Waschk <waschk@mandriva.org> 0.37-1mdk
- fix build
- New release 0.37

* Sat Sep 10 2005 Götz Waschk <waschk@mandriva.org> 0.36-1mdk
- drop patch
- New release 0.36

* Fri Apr 22 2005 Oden Eriksson <oeriksson@mandriva.com> 0.35-2mdk
- added P0 from debian to make it compile on x86_64
- used different make flags

* Fri Jul 30 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.35-1mdk
- 0.35
- compile with $RPM_OPT_FLAGS
- cosmetics

* Wed Jun 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.33-1mdk
- 0.33
- bzip2 source
- remove patch0, use make macro instead

